Bug 1731421 - Using --add-local-build for a build-required module fails with: module_build_service.errors.UnprocessableEntity: Cannot find any module builds for
Summary: Using --add-local-build for a build-required module fails with: module_build_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: module-build-service
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 11:38 UTC by Petr Pisar
Modified: 2019-09-28 03:39 UTC (History)
6 users (show)

Fixed In Version: module-build-service-2.28.2-1.fc31 module-build-service-2.28.2-1.fc29 module-build-service-2.28.2-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-22 01:21:57 UTC


Attachments (Terms of Use)

Description Petr Pisar 2019-07-19 11:38:49 UTC
After building perl-bootstrap:5.30 locally, I tried building perl:5.30 that build-requires perl-bootstrap:5.30 locally with:

$ LC_ALL=en_US.UTF-8 rhpkg module-build-local -s platform:el8.1.0 --add-local-build perl-bootstrap:5.30:8010020190719080307

And it failed quickly like this:

2019-07-19 13:16:19,421 - MainThread - urllib3.connectionpool - DEBUG - https://mbs.engineering.redhat.com:443 "GET /module-build-service/1/module-builds/?name=perl-bootstrap&stream=5.30&state=ready&verbose=True&order_desc_by=version&page=1&per_page=10&base_module_br=platform%3Ael8.1.0%3A2%3A00000000 HTTP/1.1" 200 616
Traceback (most recent call last):
  File "/usr/bin/mbs-manager", line 11, in <module>
    load_entry_point('module-build-service==2.25.0', 'console_scripts', 'mbs-manager')()
  File "/usr/lib/python3.7/site-packages/module_build_service/manage.py", line 267, in manager_wrapper
    manager.run()
  File "/usr/lib/python3.7/site-packages/flask_script/__init__.py", line 417, in run
    result = self.handle(argv[0], argv[1:])
  File "/usr/lib/python3.7/site-packages/flask_script/__init__.py", line 386, in handle
    res = handle(*args, **config)
  File "/usr/lib/python3.7/site-packages/flask_script/commands.py", line 216, in __call__
    return self.run(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/module_build_service/manage.py", line 184, in build_module_locally
    username, handle, params, stream=str(stream), skiptests=skiptests
  File "/usr/lib/python3.7/site-packages/module_build_service/utils/submit.py", line 565, in submit_module_build_from_yaml
    return submit_module_build(username, mmd, params)
  File "/usr/lib/python3.7/site-packages/module_build_service/utils/submit.py", line 937, in submit_module_build
    mmds = generate_expanded_mmds(db.session, mmd, raise_if_stream_ambigous, default_streams)
  File "/usr/lib/python3.7/site-packages/module_build_service/utils/mse.py", line 413, in generate_expanded_mmds
    current_mmd, default_streams, raise_if_stream_ambigous)
  File "/usr/lib/python3.7/site-packages/module_build_service/utils/mse.py", line 373, in get_mmds_required_by_module_recursively
    raise UnprocessableEntity("Cannot find any module builds for %s" % (ns))
module_build_service.errors.UnprocessableEntity: Cannot find any module builds for perl-bootstrap:5.30
Could not execute module_build_local: Failed to execute command.

I have ~/modulebuild/builds/module-perl-bootstrap-5.30-8010020190719080307 populated correctly. It seems the --add-local-build option does not work at all.

My packages: module-build-service-2.25.0-2.fc29.noarch, python3-libmodulemd-2.6.0-1.fc29.x86_64.

Comment 1 Matt Prahl 2019-07-22 14:43:52 UTC
Hi Petr,
Could you please file the issue at https://pagure.io/fm-orchestrator/issues? The team that maintains MBS doesn't regularly review the Bugzilla queue.

Comment 2 Petr Pisar 2019-07-23 10:44:29 UTC
https://pagure.io/fm-orchestrator/issue/1361

Comment 3 Fedora Update System 2019-09-19 17:12:12 UTC
FEDORA-2019-e16fdc49b9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e16fdc49b9

Comment 4 Fedora Update System 2019-09-19 17:12:20 UTC
FEDORA-2019-b9a5feb671 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9a5feb671

Comment 5 Fedora Update System 2019-09-20 01:57:02 UTC
module-build-service-2.28.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9a5feb671

Comment 6 Fedora Update System 2019-09-20 02:57:03 UTC
module-build-service-2.28.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e16fdc49b9

Comment 7 Fedora Update System 2019-09-20 03:02:07 UTC
module-build-service-2.28.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-43cd87997c

Comment 8 Fedora Update System 2019-09-22 01:21:57 UTC
module-build-service-2.28.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-09-28 01:56:30 UTC
module-build-service-2.28.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-28 03:39:11 UTC
module-build-service-2.28.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.